Upload file
curl --request POST \
--url https://api.omniall.ai/v1/files \
--header 'Authorization: <authorization>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=@example-file;type=application/octet-stream'import requests
url = "https://api.omniall.ai/v1/files"
files = { "file": ("example-file", open("example-file", "rb"), "application/octet-stream") }
headers = {"Authorization": "<authorization>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
options.body = form;
fetch('https://api.omniall.ai/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "file-xxxxxxxx",
"object": "file",
"url": "https://cdn.example.com/files/uploads/2026/06/03/xxx.pdf",
"filename": "demo.pdf",
"bytes": 12345,
"created_at": 1710000000
}Platform
Upload file
Upload a single file via multipart form.
Path: POST https://api.omniall.ai/v1/files
Use the returned url as an image/video/audio reference in other APIs.
Auth: Authorization: Bearer sk-...
POST
/
v1
/
files
Upload file
Headers
Bearer API key.
Example:
"Bearer sk-..."
Body
multipart/form-data
File to upload (required). Size limit commonly 10MB.
Response
Upload succeeded
File id, e.g. file-xxxxxxxx.
Example:
"file-xxxxxxxx"
Example:
"file"
Public CDN URL for the uploaded file.
Example:
"https://cdn.example.com/files/uploads/2026/06/03/xxx.pdf"
Original filename.
Example:
"demo.pdf"
File size in bytes.
Example:
12345
Unix timestamp (seconds).
Example:
1710000000